customer_portal
Add Customer Payment Method
Add a payment method to the authenticated customer.
POST
/
v1
/
customer-portal
/
customers
/
me
/
payment-methods
Python
from ourpay.v2026_10 import OurPay
ourpay = OurPay("ourpay_oat_xxx")
response = ourpay.customer_portal.customers.add_payment_method(
confirmation_token_id='string',
set_default=True,
return_url='string',
)
print(response)import { createOurPay } from "@ourpay-dev/sdk/2026-10";
const ourpay = createOurPay({
accessToken: "ourpay_oat_xxx",
});
const response = await ourpay.customerPortal.customers.addPaymentMethod(
{
"confirmation_token_id": "string",
"set_default": true,
"return_url": "string"
},
);
console.log(response);
curl --request POST \
--url https://api.ourpay.dev/v1/customer-portal/customers/me/payment-methods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"confirmation_token_id": "<string>",
"set_default": true,
"return_url": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({confirmation_token_id: '<string>', set_default: true, return_url: '<string>'})
};
fetch('https://api.ourpay.dev/v1/customer-portal/customers/me/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "succeeded",
"payment_method": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"processor": "stripe",
"customer_id": "<string>",
"type": "card",
"method_metadata": {
"brand": "<string>",
"last4": "<string>",
"exp_month": 123,
"exp_year": 123,
"wallet": "<string>"
}
}
}{
"error": "PaymentMethodSetupFailed",
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
customer_sessionmember_session
Customer session tokens are specific tokens that are used to authenticate customers on your organization. You can create those sessions programmatically using the Create Customer Session endpoint.
Body
application/json
Response
Payment method created or setup initiated.
⌘I
Python
from ourpay.v2026_10 import OurPay
ourpay = OurPay("ourpay_oat_xxx")
response = ourpay.customer_portal.customers.add_payment_method(
confirmation_token_id='string',
set_default=True,
return_url='string',
)
print(response)import { createOurPay } from "@ourpay-dev/sdk/2026-10";
const ourpay = createOurPay({
accessToken: "ourpay_oat_xxx",
});
const response = await ourpay.customerPortal.customers.addPaymentMethod(
{
"confirmation_token_id": "string",
"set_default": true,
"return_url": "string"
},
);
console.log(response);
